package dao

import (
	"time"
)

type IntelligentLight struct {
	ID           int       `gorm:"primary key" json:"id"`               //编号
	LightID      int       `gorm:"type:int" json:"lightID"`             //照明策略id
	RelationType int       `gorm:"type:int" json:"relationType"`        //关联类型1=灯控，2=灯杆分组
	Rid          int       `gorm:"type:int" json:"rid"`                 //关联外键ID 根据type类型关联至其表
	CreateTime   time.Time `gorm:"type:timestamp" json:"createTime"`    //新增时间
	CreateUser   string    `gorm:"type:varchar(60)" json:"createUser"`  //新增记录操作用户ID
	UpdateTime   time.Time `gorm:"type:timestamp" json:"updateTime"`    //修改时间
	UpdateUser   string    `gorm:"type:varchar(60)" json:"updateUser"`  //修改用户
	IsDeleted    int       `gorm:"type:int;default 0" json:"isDeleted"` //是否删除 0=未删除,1=删除
	TenantID     string    `gorm:"type:varchar(12)" json:"tenantID"`    //租户id
}

func (IntelligentLight) TableName() string {
	return "t_strategy_intelligent_light"
}

func (c *IntelligentLight) BatchGet(ids []int) ([]IntelligentLight, error) {
	var intelligentLights []IntelligentLight
	err := Db.Model(&c).Where("light_id in ? and is_deleted = 0", ids).Find(&intelligentLights).Error
	return intelligentLights, err
}

func (c *IntelligentLight) GetByRidAndType() ([]IntelligentLight, error) {
	var intelligentLights []IntelligentLight
	err := Db.Model(&c).Where("rid = ? and relation_type = ? and is_deleted = 0", c.Rid,
		c.RelationType).Find(&intelligentLights).Error
	return intelligentLights, err
}
