package model

import "iot_manager_service/app/device/dao"

//灯控策略
type LightStrategyDetail struct {
	dao.LightStrategy
	LightType                string                 `json:"lightType"`               //策略类型
	LightConditionList       []dao.LightCondition   `json:"lightConditionList"`      //光照条件
	LightConditionDetailList []LightConditionDetail `json:"lightConditionVOList"`    //详情-光照条件
	TimeConditionDetailList  []TimeConditionDetail  `json:"timeConditionVOList"`     //详情-时间条件
	LampPoleDetailList       []LampPoleDetail       `json:"lampPoleDetailList"`      //详情-灯杆名称
	LampPoleGroupDetailList  []LampPoleGroupDetail  `json:"lampPoleGroupDetailList"` //详情-分组名称
	TimeConditionList        []dao.TimeCondition    `json:"timeConditionList"`       //时间条件
	CombinationStr           string                 `json:"combinationStr"`          //（智慧照明关联时）组合展示
}

type LightConditionDetail struct {
	dao.LightCondition
}
type TimeConditionDetail struct {
	dao.TimeCondition
}
type RspLightStrategyList struct {
	Records []dao.LightStrategy `json:"records"` //记录列表
	Current int                 `json:"current"` //当前分页
	Size    int                 `json:"size"`    //每页数量
	Total   int                 `json:"total"`   //总数
	Pages   int                 `json:"pages"`   //总页数
}

type ReqLightStrategyRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   int    `json:"sn"`   //sn
	Name string `json:"name"` //名称
}
