package model

import "iot_manager_service/app/device/dao"

const (
	RelationIdInvalid         = "该记录未关联策略无法查看，请关联策略！"
	RelationTypeInvalid       = "查询参数(关联类型)异常"
	RelationTypeLight         = 1 //关联类型 灯控
	RelationTypeLampPoleGroup = 2 //关联类型 灯杆分组

	IsYear = 2 //全年设置2=是，1=否
)

type RspIntelligentLightDetail struct {
	LightControlList []dao.LightControl     `json:"lightControlList"`
	LampPoleName     string                 `json:"lampPoleName"`
	LightRelMap      IntelligentLightSimple `json:"lightRelMap"`
}

type RspIntelligentLightDetailByGroup struct {
	LightControlList  []dao.LightControl     `json:"lightControlList"`
	LampPoleGroupName string                 `json:"lampPoleGroupName"`
	CountLampPole     int                    `json:"countLampPole"`
	LightRelMap       IntelligentLightSimple `json:"lightRelMap"`
}

type IntelligentLightSimple struct {
	TimeConditionList []TimeConditionSimple `json:"timeConditionList"` //时间条件列表
	LightName         string                `json:"lightName"`         //灯控名称
	LightSn           string                `json:"lightSn"`           //灯控SN
	EffectiveDate     string                `json:"effectiveDate"`     //生效日期
}

type TimeConditionSimple struct {
	Luminance string `json:"luminance"`
	Times     string `json:"times"`
}

type RspIntelligentLightList struct {
	Records []dao.IntelligentLight `json:"records"` //记录列表
	Current int                    `json:"current"` //当前分页
	Size    int                    `json:"size"`    //每页数量
	Pages   int                    `json:"pages"`   //总页数
	Total   int                    `json:"total"`   //总数
}
